package com.ruoyi.powerdistribution.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.powerdistribution.mapper.PdmRiskRoleMapper;
import com.ruoyi.powerdistribution.domain.PdmRiskRole;
import com.ruoyi.powerdistribution.service.IPdmRiskRoleService;

/**
 * 风险规则Service业务层处理
 *
 * @author ruoyi
 * @date 2024-12-04
 */
@Service
public class PdmRiskRoleServiceImpl implements IPdmRiskRoleService
{
    @Autowired
    private PdmRiskRoleMapper pdmRiskRoleMapper;

    /**
     * 查询风险规则
     *
     * @param id 风险规则主键
     * @return 风险规则
     */
    @Override
    public PdmRiskRole selectPdmRiskRoleById(Long id)
    {
        return pdmRiskRoleMapper.selectPdmRiskRoleById(id);
    }

    /**
     * 查询风险规则列表
     *
     * @param pdmRiskRole 风险规则
     * @return 风险规则
     */
    @Override
    public List<PdmRiskRole> selectPdmRiskRoleList(PdmRiskRole pdmRiskRole)
    {
        return pdmRiskRoleMapper.selectPdmRiskRoleList(pdmRiskRole);
    }

    /**
     * 新增风险规则
     *
     * @param pdmRiskRole 风险规则
     * @return 结果
     */
    @Override
    public int insertPdmRiskRole(PdmRiskRole pdmRiskRole)
    {
        pdmRiskRole.setCreateTime(DateUtils.getNowDate());
        return pdmRiskRoleMapper.insertPdmRiskRole(pdmRiskRole);
    }

    /**
     * 修改风险规则
     *
     * @param pdmRiskRole 风险规则
     * @return 结果
     */
    @Override
    public int updatePdmRiskRole(PdmRiskRole pdmRiskRole)
    {
        pdmRiskRole.setUpdateTime(DateUtils.getNowDate());
        return pdmRiskRoleMapper.updatePdmRiskRole(pdmRiskRole);
    }

    /**
     * 批量删除风险规则
     *
     * @param ids 需要删除的风险规则主键
     * @return 结果
     */
    @Override
    public int deletePdmRiskRoleByIds(Long[] ids)
    {
        return pdmRiskRoleMapper.deletePdmRiskRoleByIds(ids);
    }

    /**
     * 删除风险规则信息
     *
     * @param id 风险规则主键
     * @return 结果
     */
    @Override
    public int deletePdmRiskRoleById(Long id)
    {
        return pdmRiskRoleMapper.deletePdmRiskRoleById(id);
    }
}
